<ng4-loading-spinner  [loadingText]="'Please wait...'"> </ng4-loading-spinner>

<!-- <div class="container">
  <div class="row card">
    <div class="card-header">
      <i class="icon-map"></i>Primary Asset Assignment
    </div>
    <div class="col-xs-12 col-sm-10 col-md-8 col-sm-offset-1 col-md-offset-2 card-body"> -->
        <div class="container">
            <div class="row">
            <div class="col-sm-3"></div>

            <div class="col-sm-6">
                <mat-toolbar color="primary">Assign Battery Pack</mat-toolbar>
              <mat-card class="example-card">

                <mat-card-content>
      <form [formGroup]="assignForm" (ngSubmit)="onSubmit()">

        <!-- <div class="form-group">
          <label for="from">From<sup class="req">*</sup></label>
          <input
            formControlName="from"
            class="form-control"
            readonly="readonly">
        </div>

        <div class="form-group">
          <label for="toLsp">Partners<sup class="req">*</sup></label>
          <select
            formControlName="toLsp"
            class="form-control"
            readonly="readonly">
            <option value="L9999499864">Lithion Power LSP</option>
          </select>
        </div>

        <mat-form-field class="form-group">
            <mat-label> To
              </mat-label>
            <input matInput   formControlName="toLsp" class="formControl" readonly="readonly">
        </mat-form-field>

        <!-- <div class="form-group">
          <label for="battery">Battery<sup class="req">*</sup></label>
          <angular2-multiselect [data]="dropdownList"
                                [(ngModel)]="selectedItems"
                                [settings]="dropdownSettings"
                                formControlName="battery">
           </angular2-multiselect>
        </div> -->
        <mat-form-field class="form-group">
            <mat-label> Battery </mat-label>
            <mat-select formControlName="battery"
            [settings]="dropdownSettings"
            [(ngModel)]="selectedItems"
            multiple
             >
              <mat-option *ngFor="let t of dropdownList" value= "{{t}}">{{ t }}</mat-option>
            </mat-select>
          </mat-form-field>

        <div class="form-group">
          <div *ngIf="selectedItems.length > 0"
            class="form-control">
            <ul>
              <li *ngFor="let item of selectedItems;let i = index">
                 <span class="badge" style="color:black">
                    Battery Number - {{i+1}}:&nbsp;&nbsp;&nbsp;{{ item.assetId }}
                    ( DataLogger- {{ item.dataLogger }},&nbsp; Bms- {{ item.bms }} )
                  </span>
              </li>
            </ul>
          </div>
        </div>


        <div class="row">
            <div class="col-sm-4"></div>
            <div class="col-sm-4"></div>
            <div class="col-sm-4">
                  <button
                     mat-raised-button color="primary"
           type="submit"
           [disabled]="assignForm.invalid">Submit</button></div></div>
      </form>
    </mat-card-content>
  </mat-card>

</div>
<div class="col-sm-3"></div>
</div></div>
